%global momorel 1
%global srcname libtorrent-rasterbar

Summary:	C++ library that aims to be a good alternative to all the other bittorrent implementations around
Name:		libtorrent
Version:	0.14.2
Release:	%{momorel}m%{?dist}
License:	see "COPYING"
Group:		System Environment/Libraries
URL:		http://sourceforge.net/projects/libtorrent/
Source0:	http://dl.sourceforge.net/sourceforge/%{name}/%{srcname}-%{version}.tar.gz
NoSource:	0
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	boost-devel
BuildRequires:	openssl-devel
BuildRequires:	zlib-devel

%description
libtorrent is a C++ library that aims to be a good alternative to all the other bittorrent implementations around. 
It is a library and not a full featured client, although it comes with a working example client.
The main goals of libtorrent are:
    * to be cpu efficient
    * to be memory efficient
    * to be very easy to use

%package devel
Summary: Development library and include files for libtorrent
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
The devel package contains the libtorrent library and the include files

%package devel-static
Summary: Static link library for libtorrent
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel-static
The devel-static package contains the libtorrent static link library files

%prep
%setup -q -n %{srcname}-%{version}

%build

%configure \
	--with-boost \
	--with-boost-libdir=%{_libdir} \
	--with-boost-date-time=boost_date_time-mt \
	--with-boost-filesystem=boost_filesystem-mt \
	--with-boost-thread=boost_thread-mt \
	--with-boost-regex=boost_regex-mt \
	--with-boost-program-options=boost_program_options-mt \
	--with-encryption=on \
	--with-ssl \
	--with-zlib=system
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=%{buildroot} install
rm -rf %{buildroot}%{_libdir}/*.la

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files 
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/libtorrent
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.so

%files devel-static
%defattr(-,root,root,-)
%{_libdir}/*.a

%changelog
* Tue Feb 24 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.14.2-1m)
- update to 0.14.2

* Wed Jan 28 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.14.1-5m)
- apply gcc44 patch

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.14.1-4m)
- rebuild against rpm-4.6

* Thu Jan 15 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.14.1-3m)
- fix build on x86_64 with new boost

* Thu Jan 15 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.14.1-2m)
- rebuild against boost-1.37.0

* Mon Dec 29 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.14.1-1m)
- update to 0.14.1

* Mon Sep 15 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.13.1-2m)
- change URL to sourceforge.net

* Sun Aug 17 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.13.1-1m)
- initial build for Momonga Linux 5
